> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bastion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Redemptions

> List redemptions



## OpenAPI

````yaml /v2/openapi.yaml get /v2/issuance/redemptions
openapi: 3.1.0
info:
  title: Bastion APIs
  version: '2.0'
servers:
  - url: https://api.prod.bastion.com
    description: Production environment
  - url: https://api.sandbox.bastion.io
    description: Sandbox environment
security:
  - auth: []
tags:
  - name: Bastion APIs
paths:
  /v2/issuance/redemptions:
    get:
      tags:
        - Issuance
      summary: List Redemptions
      description: List redemptions
      operationId: bastion.api.v2.API.ListRedemptions
      parameters:
        - name: status
          in: query
          description: (OPTIONAL) Filter by status
          required: false
          schema:
            $ref: '#/components/schemas/bastion.api.v2.issuance.Status'
            title: status
        - name: limit
          in: query
          description: >-
            (OPTIONAL) The maximum number of redemptions to return in a single
            page. The maximum value that can be specified is 25.
          required: false
          schema:
            type: integer
            title: limit
            maximum: 25
            minimum: 1
            format: int32
            default: '10'
        - name: cursor
          in: query
          description: >-
            (OPTIONAL) Pagination cursor to be used in subsequent queries to
            retrieve next page of results
          required: false
          schema:
            type: string
            title: cursor
        - name: identity_id
          in: query
          description: (OPTIONAL) Filter by the identity id that enacted the redemption
          required: false
          schema:
            type: string
            title: identity_id
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/bastion.api.v2.issuance.ListRedemptionsResponse
        '400':
          description: Bad request
        '404':
          description: Resource not found
        '500':
          description: Internal Server Error
components:
  schemas:
    bastion.api.v2.issuance.Status:
      type: string
      title: Status
      enum:
        - STATUS_UNSPECIFIED
        - ACCEPTED
        - SUBMITTED
        - COMPLETED
        - DENIED
        - FAILED
        - CANCELLED
      example: ACCEPTED
    bastion.api.v2.issuance.ListRedemptionsResponse:
      type: object
      properties:
        redemptions:
          type: array
          items:
            $ref: '#/components/schemas/bastion.api.v2.issuance.Redemption'
          title: redemptions
        cursor:
          type: string
          title: cursor
          description: Cursor for the next page of results, if available
          readOnly: true
      title: ListRedemptionsResponse
      additionalProperties: false
    bastion.api.v2.issuance.Redemption:
      type: object
      properties:
        id:
          type: string
          title: id
          description: Unique identifier for the redemption request
          readOnly: true
        amount:
          type: string
          title: amount
          description: Amount of the asset to be redeemed
          readOnly: true
        chain:
          $ref: >-
            #/components/schemas/bastion.api.v2.issuance.ISSUANCE_SUPPORTED_CHAIN
          title: chain
          description: Blockchain network for the redemption
          readOnly: true
        redemption_address_id:
          type: string
          title: redemption_address_id
          description: >-
            Unique identifier of the redemption address that will receive the
            redeemed funds
          readOnly: true
        from_address:
          type: string
          title: from_address
          description: Source address of transaction that triggered the redemption
          readOnly: true
        status:
          $ref: '#/components/schemas/bastion.api.v2.issuance.Status'
          title: status
          description: Status of the redemption request
          readOnly: true
        deposit_external_tx_id:
          type: string
          title: deposit_external_tx_id
          description: External transaction ID of the deposit
          readOnly: true
        burn_external_tx_id:
          type: string
          title: burn_external_tx_id
          description: External transaction ID of the burn
          readOnly: true
        identity_id:
          type: string
          title: identity_id
          description: >-
            Unique identifier of the identity that enacted this redemption
            request
          readOnly: true
        stablecoin_symbol:
          type: string
          title: stablecoin_symbol
          description: Symbol of the stablecoin being redeemed
          readOnly: true
      title: Redemption
      additionalProperties: false
    bastion.api.v2.issuance.ISSUANCE_SUPPORTED_CHAIN:
      type: string
      title: ISSUANCE_SUPPORTED_CHAIN
      enum:
        - ISSUANCE_SUPPORTED_CHAIN_UNSPECIFIED
        - SOLANA_DEVNET
        - SOLANA_MAINNET
      example: SOLANA_DEVNET
  securitySchemes:
    auth:
      type: http
      description: Bearer authentication with an API token
      scheme: bearer

````

## Related topics

- [List Redemption Instructions](/v2/api-reference/issuance/list-redemption-instructions.md)
- [Stablecoin issuance concepts](/guides/concepts/stablecoin-issuance.md)
- [Get Redemption Address](/v2/api-reference/issuance/get-redemption-address.md)
- [Get Redemption Request](/v2/api-reference/issuance/get-redemption-request.md)
- [Create Redemption Instructions](/v2/api-reference/issuance/create-redemption-instructions.md)
